Index: src/sas/sasgui/perspectives/file_converter/converter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sasgui/perspectives/file_converter/converter_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -112,5 +112,5 @@
             [group_path, group_name] = os.path.split(filepath)
             ext = "." + group_name.split('.')[-1] # File extension
-            for frame_number, frame_data in frame_data.iteritems():
+            for frame_number, frame_data in frame_data.items():
                 # Append frame number to base filename
                 filename = group_name.replace(ext, str(frame_number)+ext)
@@ -155,5 +155,5 @@
             # If lines end with comma or semi-colon, trim the last character
             if end_char == ',' or end_char == ';':
-                data = map(lambda s: s[0:-1], data)
+                data = [s[0:-1] for s in data]
             else:
                 msg = ("Error reading {}: Lines must end with a digit, comma "
@@ -275,5 +275,5 @@
             else:
                 return { 'frames': [], 'inc': None, 'file': single_file }
-        frames = range(first_frame, last_frame + 1, increment)
+        frames = list(range(first_frame, last_frame + 1, increment))
         return { 'frames': frames, 'inc': increment, 'file': single_file }
 
@@ -335,13 +335,13 @@
         if single_file:
             # Only need to set metadata on first Data1D object
-            frame_data = frame_data.values() # Don't need to know frame numbers
+            frame_data = list(frame_data.values()) # Don't need to know frame numbers
             frame_data[0].filename = output_path.split('\\')[-1]
-            for key, value in metadata.iteritems():
+            for key, value in metadata.items():
                 setattr(frame_data[0], key, value)
         else:
             # Need to set metadata for all Data1D objects
-            for datainfo in frame_data.values():
+            for datainfo in list(frame_data.values()):
                 datainfo.filename = output_path.split('\\')[-1]
-                for key, value in metadata.iteritems():
+                for key, value in metadata.items():
                     setattr(datainfo, key, value)
 
@@ -355,5 +355,5 @@
     def convert_2d_data(self, dataset):
         metadata = self.get_metadata()
-        for key, value in metadata.iteritems():
+        for key, value in metadata.items():
             setattr(dataset[0], key, value)
 
Index: src/sas/sasgui/perspectives/file_converter/converter_widgets.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/converter_widgets.py	(revision 0e11ec7528fae0e8cd8f2e311b10e73c4b19c77b)
+++ src/sas/sasgui/perspectives/file_converter/converter_widgets.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -54,5 +54,5 @@
         v = Vector()
         if not self.Validate(): return v
-        for direction, control in self._inputs.iteritems():
+        for direction, control in self._inputs.items():
             try:
                 value = float(control.GetValue())
@@ -86,5 +86,5 @@
         all_valid = True
         invalid_ctrl = None
-        for control in self._inputs.values():
+        for control in list(self._inputs.values()):
             if control.GetValue() == '': continue
             control.SetBackgroundColour(wx.WHITE)
Index: src/sas/sasgui/perspectives/fitting/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/__init__.py	(revision 12d3e0e31a7f9e8d72d50e8ad904316b003a6bea)
+++ src/sas/sasgui/perspectives/fitting/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,5 +1,5 @@
 PLUGIN_ID = "Fitting plug-in 1.0"
 import os
-from fitting import *
+from .fitting import *
 from distutils.filelist import findall
 def get_data_path(media):
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 3bd677bda9477bbd07235d9fba448f09ae1b3932)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -2,5 +2,5 @@
 Base Page for fitting
 """
-from __future__ import print_function
+
 
 import sys
@@ -12,5 +12,5 @@
 import logging
 import traceback
-from Queue import Queue
+from queue import Queue
 from threading import Thread
 from collections import defaultdict
@@ -223,5 +223,5 @@
         self.popUpMenu = wx.Menu()
 
-        wx_id = self._ids.next()
+        wx_id = next(self._ids)
         self._keep = wx.MenuItem(self.popUpMenu, wx_id, "Add bookmark",
                                  " Keep the panel status to recall it later")
@@ -623,5 +623,5 @@
         if self.model is not None:
             self.m_name = self.model.name
-        if name in self.saved_states.keys():
+        if name in list(self.saved_states.keys()):
             previous_state = self.saved_states[name]
             # reset state of checkbox,textcrtl  and  regular parameters value
@@ -918,5 +918,5 @@
 
         if len(self._disp_obj_dict) > 0:
-            for k, v in self._disp_obj_dict.iteritems():
+            for k, v in self._disp_obj_dict.items():
                 self.state.disp_obj_dict[k] = v.type
 
@@ -985,5 +985,5 @@
 
             if len(self.disp_cb_dict) > 0:
-                for k, v in self.disp_cb_dict.iteritems():
+                for k, v in self.disp_cb_dict.items():
                     if v is None:
                         self.state.disp_cb_dict[k] = v
@@ -994,5 +994,5 @@
                             self.state.disp_cb_dict[k] = None
             if len(self._disp_obj_dict) > 0:
-                for k, v in self._disp_obj_dict.iteritems():
+                for k, v in self._disp_obj_dict.items():
                     self.state.disp_obj_dict[k] = v.type
 
@@ -1096,5 +1096,5 @@
             if name == "ArrayDispersion":
 
-                for item in self.disp_cb_dict.keys():
+                for item in list(self.disp_cb_dict.keys()):
 
                     if hasattr(self.disp_cb_dict[item], "SetValue"):
@@ -1167,5 +1167,5 @@
         :return: combo_box_position
         """
-        for key, value in self.master_category_dict.iteritems():
+        for key, value in self.master_category_dict.items():
             formfactor = state.formfactorcombobox.split(":")
             if isinstance(formfactor, list):
@@ -1219,5 +1219,5 @@
         # select the current model
         state._convert_to_sasmodels()
-        state.categorycombobox = unicode(state.categorycombobox)
+        state.categorycombobox = str(state.categorycombobox)
         if state.categorycombobox in self.categorybox.Items:
             category_pos = self.categorybox.Items.index(
@@ -1244,5 +1244,5 @@
         structfactor_pos = 0
         if state.structurecombobox is not None:
-            state.structurecombobox = unicode(state.structurecombobox)
+            state.structurecombobox = str(state.structurecombobox)
             for ind_struct in range(self.structurebox.GetCount()):
                 if (self.structurebox.GetString(ind_struct)
@@ -1354,5 +1354,5 @@
         self.weights = copy.deepcopy(state.weights)
 
-        for key, disp_type in state.disp_obj_dict.iteritems():
+        for key, disp_type in state.disp_obj_dict.items():
             # disp_model = disp
             disp_model = POLYDISPERSITY_MODELS[disp_type]()
@@ -1415,8 +1415,8 @@
         """
         ids = iter(self._id_pool)  # Reusing ids for context menu
-        for name, _ in self.state.saved_states.iteritems():
+        for name, _ in self.state.saved_states.items():
             self.number_saved_state += 1
             # Add item in the context menu
-            wx_id = ids.next()
+            wx_id = next(ids)
             msg = 'Save model and state %g' % self.number_saved_state
             self.popUpMenu.Append(wx_id, name, msg)
@@ -2314,5 +2314,5 @@
                     value_ctrl.SetValue(format_number(value))
 
-                if name not in self.model.details.keys():
+                if name not in list(self.model.details.keys()):
                     self.model.details[name] = ["", None, None]
                 old_low, old_high = self.model.details[name][1:3]
@@ -2675,8 +2675,8 @@
         if disp_func is not None:
             try:
-                return POLYDISPERSITY_MODELS.values().index(disp_func.__class__)
+                return list(POLYDISPERSITY_MODELS.values()).index(disp_func.__class__)
             except ValueError:
                 pass  # Fall through to default class
-        return POLYDISPERSITY_MODELS.keys().index('gaussian')
+        return list(POLYDISPERSITY_MODELS.keys()).index('gaussian')
 
     def on_reset_clicked(self, event):
@@ -2770,5 +2770,5 @@
         gui_manager = self._manager.parent
         # loops through the panels [dic]
-        for _, item2 in gui_manager.plot_panels.iteritems():
+        for _, item2 in gui_manager.plot_panels.items():
             data_title = self.data.group_id
             # try to get all plots belonging to this control panel
@@ -3340,5 +3340,5 @@
             if self.data.__class__.__name__ == "Data2D":
                 name = item[1]
-                if name in content.keys():
+                if name in list(content.keys()):
                     values = content[name]
                     check = values[0]
@@ -3389,5 +3389,5 @@
                 if not item[1] in orient_param:
                     name = item[1]
-                    if name in content.keys():
+                    if name in list(content.keys()):
                         check = content[name][0]
                         # Avoid changing combox content
@@ -3615,15 +3615,15 @@
         sizer_cat = wx.BoxSizer(wx.HORIZONTAL)
         self.mbox_description.SetForegroundColour(wx.RED)
-        wx_id = self._ids.next()
+        wx_id = next(self._ids)
         self.model_func = wx.Button(self, wx_id, 'Help', size=(80, 23))
         self.model_func.Bind(wx.EVT_BUTTON, self.on_function_help_clicked,
                              id=wx_id)
         self.model_func.SetToolTipString("Full Model Function Help")
-        wx_id = self._ids.next()
+        wx_id = next(self._ids)
         self.model_help = wx.Button(self, wx_id, 'Description', size=(80, 23))
         self.model_help.Bind(wx.EVT_BUTTON, self.on_model_help_clicked,
                              id=wx_id)
         self.model_help.SetToolTipString("Short Model Function Description")
-        wx_id = self._ids.next()
+        wx_id = next(self._ids)
         self.model_view = wx.Button(self, wx_id, "Show 2D", size=(80, 23))
         self.model_view.Bind(wx.EVT_BUTTON, self._onModel2D, id=wx_id)
Index: src/sas/sasgui/perspectives/fitting/fit_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision ba8d326f0f4ceb55c77296a9b5af8bd013c7dd92)
+++ src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -11,5 +11,5 @@
 
 def map_apply(arguments):
-    return apply(arguments[0], arguments[1:])
+    return arguments[0](*arguments[1:])
 
 class FitThread(CalcThread):
@@ -49,5 +49,5 @@
         except KeyboardInterrupt:
             msg = "Fitting: terminated by the user."
-            raise KeyboardInterrupt, msg
+            raise KeyboardInterrupt(msg)
 
     def compute(self):
@@ -72,8 +72,8 @@
                 list_map_get_attr.append(map_getattr)
             #from multiprocessing import Pool
-            inputs = zip(list_map_get_attr, self.fitter, list_fit_function,
+            inputs = list(zip(list_map_get_attr, self.fitter, list_fit_function,
                          list_q, list_q, list_handler, list_curr_thread,
-                         list_reset_flag)
-            result = map(map_apply, inputs)
+                         list_reset_flag))
+            result = list(map(map_apply, inputs))
 
             self.complete(result=result,
@@ -84,5 +84,5 @@
                           elapsed=time.time() - self.starttime)
 
-        except KeyboardInterrupt, msg:
+        except KeyboardInterrupt as msg:
             # Thread was interrupted, just proceed and re-raise.
             # Real code should not print, but this is an example...
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 3bd677bda9477bbd07235d9fba448f09ae1b3932)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -281,5 +281,5 @@
 
         # Fit button
-        self.btFit = wx.Button(self, self._ids.next(), 'Fit')
+        self.btFit = wx.Button(self, next(self._ids), 'Fit')
         self.default_bt_colour = self.btFit.GetDefaultAttributes()
         self.btFit.Bind(wx.EVT_BUTTON, self._onFit, id=self.btFit.GetId())
@@ -377,5 +377,5 @@
 
         # Update and Draw button
-        self.draw_button = wx.Button(self, self._ids.next(), 'Compute')
+        self.draw_button = wx.Button(self, next(self._ids), 'Compute')
         self.draw_button.Bind(wx.EVT_BUTTON,
                               self._onDraw, id=self.draw_button.GetId())
@@ -532,5 +532,5 @@
         self.qmin.Bind(wx.EVT_TEXT, self.on_qrange_text)
         self.qmax.Bind(wx.EVT_TEXT, self.on_qrange_text)
-        wx_id = self._ids.next()
+        wx_id = next(self._ids)
         self.reset_qrange = wx.Button(self, wx_id, 'Reset')
 
@@ -540,5 +540,5 @@
         sizer = wx.GridSizer(5, 5, 2, 6)
 
-        self.btEditMask = wx.Button(self, self._ids.next(), 'Editor')
+        self.btEditMask = wx.Button(self, next(self._ids), 'Editor')
         self.btEditMask.Bind(wx.EVT_BUTTON, self._onMask,
                              id=self.btEditMask.GetId())
@@ -660,5 +660,5 @@
         self.text_disp_min.Show(True)
 
-        for item in self.model.dispersion.keys():
+        for item in list(self.model.dispersion.keys()):
             if not self.magnetic_on:
                 if item in self.model.magnetic_params:
@@ -675,5 +675,5 @@
 
                 iy += 1
-                for p in self.model.dispersion[item].keys():
+                for p in list(self.model.dispersion[item].keys()):
 
                     if p == "width":
@@ -765,5 +765,5 @@
                 disp_box = wx.ComboBox(self, wx.ID_ANY, size=(65, -1),
                                        style=wx.CB_READONLY, name='%s' % name1)
-                for key, value in POLYDISPERSITY_MODELS.iteritems():
+                for key, value in POLYDISPERSITY_MODELS.items():
                     name_disp = str(key)
                     disp_box.Append(name_disp, value)
@@ -779,5 +779,5 @@
                           wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
         first_orient = True
-        for item in self.model.dispersion.keys():
+        for item in list(self.model.dispersion.keys()):
             if not self.magnetic_on:
                 if item in self.model.magnetic_params:
@@ -795,5 +795,5 @@
 
                 iy += 1
-                for p in self.model.dispersion[item].keys():
+                for p in list(self.model.dispersion[item].keys()):
 
                     if p == "width":
@@ -929,5 +929,5 @@
                 disp_box = wx.ComboBox(self, wx.ID_ANY, size=(65, -1),
                                 style=wx.CB_READONLY, name='%s' % name1)
-                for key, value in POLYDISPERSITY_MODELS.iteritems():
+                for key, value in POLYDISPERSITY_MODELS.items():
                     name_disp = str(key)
                     disp_box.Append(name_disp, value)
@@ -1370,5 +1370,5 @@
             except:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                msg = "Model Error:wrong value entered : %s" % sys.exc_info()[1]
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
@@ -1482,10 +1482,10 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                    msg = "Model Error:wrong value entered : %s" % sys.exc_info()[1]
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                     return
             except:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                msg = "Model Error:wrong value entered : %s" % sys.exc_info()[1]
                 wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
                 return
@@ -1733,5 +1733,5 @@
         ind = 0
         while(ind < len(list)):
-            for key, val in list.items():
+            for key, val in list(list.items()):
                 if val == ind:
                     fun_box.Append(key, val)
@@ -1865,5 +1865,5 @@
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg,
                                                info="error"))
-                    raise ValueError, msg
+                    raise ValueError(msg)
 
             else:
@@ -1877,5 +1877,5 @@
                     wx.PostEvent(self._manager.parent, StatusEvent(status=msg,
                                                info="error"))
-                    raise ValueError, msg
+                    raise ValueError(msg)
                 # Maximum value of data
                 qmax = math.sqrt(x * x + y * y)
@@ -2118,5 +2118,5 @@
         self._on_fit_complete()
         if out is None or not np.isfinite(chisqr):
-            raise ValueError, "Fit error occured..."
+            raise ValueError("Fit error occured...")
 
         is_modified = False
@@ -2193,5 +2193,5 @@
                 i += 1
             else:
-                raise ValueError, "onsetValues: Invalid parameters..."
+                raise ValueError("onsetValues: Invalid parameters...")
         # Show error title when any errors displayed
         if has_error:
@@ -2951,6 +2951,6 @@
 
         # type can be either Guassian or Array
-        if len(self.model.dispersion.values()) > 0:
-            type = self.model.dispersion.values()[0]["type"]
+        if len(list(self.model.dispersion.values())) > 0:
+            type = list(self.model.dispersion.values())[0]["type"]
         else:
             type = "Gaussian"
Index: src/sas/sasgui/perspectives/fitting/fitpanel.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision c9ecd1b562e38798001341ea1382b347f0cc1af9)
+++ src/sas/sasgui/perspectives/fitting/fitpanel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -94,5 +94,5 @@
             batch_state = self.sim_page.set_state()
 
-        for uid, page in self.opened_pages.iteritems():
+        for uid, page in self.opened_pages.items():
             data = page.get_data()
             # state must be cloned
@@ -135,5 +135,5 @@
         if uid not in self.opened_pages:
             msg = "Fitpanel cannot find ID: %s in self.opened_pages" % str(uid)
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             return self.opened_pages[uid]
@@ -217,5 +217,5 @@
         page_is_opened = False
         if state is not None:
-            for uid, panel in self.opened_pages.iteritems():
+            for uid, panel in self.opened_pages.items():
                 # Don't return any panel is the exact same page is created
                 if uid == panel.uid and panel.data == state.data:
@@ -396,7 +396,7 @@
         """
         if data.__class__.__name__ != "list":
-            raise ValueError, "Fitpanel delete_data expect list of id"
+            raise ValueError("Fitpanel delete_data expect list of id")
         else:
-            for page in self.opened_pages.values():
+            for page in list(self.opened_pages.values()):
                 pos = self.GetPageIndex(page)
                 temp_data = page.get_data()
@@ -433,5 +433,5 @@
                 data_2d_list.append(data)
         page = None
-        for p in self.opened_pages.values():
+        for p in list(self.opened_pages.values()):
             # check if there is an empty page to fill up
             if not check_data_validity(p.get_data()) and p.batch_on:
@@ -503,5 +503,5 @@
                 return None
         focused_page = self.GetPage(self.GetSelection())
-        for page in self.opened_pages.values():
+        for page in list(self.opened_pages.values()):
             # check if the selected data existing in the fitpanel
             pos = self.GetPageIndex(page)
@@ -592,5 +592,5 @@
         if selected_page in page_finder:
             # Delete the name of the page into the list of open page
-            for uid, list in self.opened_pages.iteritems():
+            for uid, list in self.opened_pages.items():
                 # Don't return any panel is the exact same page is created
                 if flag and selected_page.uid == uid:
@@ -600,5 +600,5 @@
 
         # Delete the name of the page into the list of open page
-        for uid, list in self.opened_pages.iteritems():
+        for uid, list in self.opened_pages.items():
             # Don't return any panel is the exact same page is created
             if selected_page.uid == uid:
Index: src/sas/sasgui/perspectives/fitting/fitproblem.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 251ef68424c8f373dfb82af3c159086491c5f975)
+++ src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -309,5 +309,5 @@
         self._smear_on = flag
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.enable_smearing(flag)
         elif fid in self:
@@ -320,5 +320,5 @@
         """
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.set_smearer(smearer)
         elif fid in self:
@@ -336,5 +336,5 @@
         """
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.save_model_name(name)
         elif fid in self:
@@ -346,5 +346,5 @@
         result = []
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 result.append(value.get_name())
         elif fid in self:
@@ -360,5 +360,5 @@
         self.model = model
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.set_model(self.model)
         elif fid in self:
@@ -456,5 +456,5 @@
         """
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.set_model_param(name, value)
         elif fid in self:
@@ -486,5 +486,5 @@
         """
         self.scheduled = schedule
-        for value in self.values():
+        for value in list(self.values()):
             value.schedule_tofit(schedule)
 
@@ -502,5 +502,5 @@
         self.qmax = qmax
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.set_range(self.qmin, self.qmax)
         elif fid in self:
@@ -519,5 +519,5 @@
         """
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.set_weight(flag=flag, is2d=is2d)
         elif fid in self:
@@ -536,5 +536,5 @@
         """
         if fid is None:
-            for value in self.values():
+            for value in list(self.values()):
                 value.clear_model_param()
         elif fid in self:
@@ -545,5 +545,5 @@
         return fitproblem contained in this dictionary
         """
-        return self.values()
+        return list(self.values())
 
     def set_result(self, result, fid):
